domingo, 27 de junio de 2010

Denegación de servicio en MySQL

Se ha descubierto una vulnerabilidad en MySQL que podría ser utilizada por un atacante para provocar una denegación de servicio.

MySQL es un sistema de gestión de base de datos relacional, multihilo y multiusuario que se desarrolla como software libre y cuenta con millones de implantaciones en todo el mundo.

El problema reside en el tratamiento de determinados comandos "ALTER DATABASE". Un atacante con permisos "ALTER" podría alterar el nombre del directorio usando caracteres especiales y provocar que el directorio de sistema se usase como directorio de la base de datos. Esto volvería todo el sistema inusable.

Se ven afectadas las versiones de MySQL anteriores a la 5.1.48, a la 5.5.5 y a la 6.0.14. Se recomienda actualizar a MySQL versiones 5.1.48, 5.5.5 o 6.0.14, disponible para descarga desde:
http://dev.mysql.com/downloads/


Laboratorio Hispasec
laboratorio@hispasec.com


Más información:

C.1.1. Changes in MySQL 5.1.48 (02 June 2010)
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-48.html

serious flaws in the alter database .. upgrade data directory name command
http://bugs.mysql.com/bug.php?id=53804

No hay comentarios:

Publicar un comentario en la entrada